

// Oaeken UI Lib v1.0 by Ruchira Hasaranga (c) 2008
// ruchira66@gmail.com

#ifndef _OUI_H_
#define _OUI_H_

#include<windows.h>

void SetMinimumSize(HWND hWindow, UINT msg, WPARAM wParam,LPARAM lParam,int minwidth,int minheight);
void SetMaximumSize(HWND hWindow, UINT msg, WPARAM wParam,LPARAM lParam,int maxwidth,int maxheight);
void EnableClientAreaDrag(HWND hWindow, UINT msg, WPARAM wParam,LPARAM lParam);
void RemoveDragRectangle(HWND hWindow, UINT msg, WPARAM wParam,LPARAM lParam);
void EnableDocking(HWND hWindow, UINT msg, WPARAM wParam,LPARAM lParam,int distance);
void setAlpha(HWND hwnd, int alpha);

#endif